Subject: Re: bug#76120: [PATCH] Expose the native sharing dialog (macOS)

From: Stefan Kangas <[email-masked]>
Date: Mon, 10 Feb 2025 07:22:17 -0600

Eli Zaretskii <[email-masked]> writes:

>> From: Stefan Kangas <[email-masked]>
>> Date: Sun, 9 Feb 2025 12:44:06 -0800
>> Cc: [email-masked], [email-masked]
>>
>> Eli Zaretskii <[email-masked]> writes:
>>
>> >> From: Stefan Kangas <[email-masked]>
>> >> Date: Sun, 9 Feb 2025 07:12:34 -0800
>> >>
>> >> According to our guidelines, we must have the same functionality on
>> >> GNU/Linux before we can install it for a non-free system.[1]  This is
>> >> also documented in nextstep/README.
>> >
>> > What is the functionality in question?  Toolkit dialogs are available
>> > on all platforms, including GNU/Linux.  Are you talking about special
>> > features of those dialogs, or something else?
>>
>> I'm talking about the feature of "sharing" a file using such dialogs, as
>> seen in the screenshots attached here:
>> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=76120#5
>
> Isn't this what shell-command-do-open ("Open" in a context menu) does,
> in conjunction with shell-command-guess-open?  We also have
> dired-context-menu, with similar functionality.  E.g., the w32
> implementation calls w32-shell-execute, which AFAIU is the equivalent
> of the proposed functionality, but just for a single action "share".
> All we need is to have this as part of the above functionalities, not
> as a separate NS-specific idiosyncratic feature.
>
> IOW, the way to implement this is to add the "share" (or maybe we
> should call it "send to" or something similar) action to the context
> menus we already have, and then each platform can implement that as it
> sees fit.  For example, on GNU/Linux desktops I'd expect xdg-open to
> have that capability.

That makes sense to me, thanks.  So maybe we should just add the
proposed functionality to our already-existing context menus on NS?